Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
radm::Device Interface Reference
Inheritance diagram for radm::Device:

## Classes
struct | Metadata
struct | NameChangedEvent
| Event: The device name has changed. More...
struct | StateChangedEvent
| Event: The device state has changed. More...

## Public Types
enum | State { UNKNOWN , INACTIVE , ACTIVE }

## Public Member Functions
State | getState ()
| Get device state.
Metadata | getMetadata ()
| Get device meta data.
string | getName ()
| Get device name.
int | setName (in string name)
| Set device name.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
constant int | ERR_NOT_SUPPORTED = 2

## Detailed Description

Definition at line 7 of file Device.idl.

## Member Enumeration Documentation

## ◆ State

enum radm::Device::State

Enumerator
UNKNOWN | Device state was not yet determined.
INACTIVE | Device is inactive / not connected.
ACTIVE | Device is active / connected.

Definition at line 11 of file Device.idl.

## Member Function Documentation

## ◆ getMetadata()

Metadata radm::Device::getMetadata | ( |  | ) |

Get device meta data.

Returns
  Device meta data

## ◆ getName()

string radm::Device::getName | ( |  | ) |

Get device name.

Returns
  Device name

## ◆ getState()

State radm::Device::getState | ( |  | ) |

Get device state.

Returns
  Device state

## ◆ setName()

int radm::Device::setName | ( | in string | name | ) |

Set device name.

Parameters

  name | New name

Returns
  0 on success
  1 if the given name is invalid
  2 if the device name can not be changed

## Member Data Documentation

## ◆ ERR_INVALID_ARGUMENT

constant int radm::Device::ERR_INVALID_ARGUMENT = 1

Definition at line 8 of file Device.idl.

## ◆ ERR_NOT_SUPPORTED

constant int radm::Device::ERR_NOT_SUPPORTED = 2

Definition at line 9 of file Device.idl.

The documentation for this interface was generated from the following file:

- Device.idl